Hey Joe whaddya know? I want to go legit.

Discussion in 'PSP - Games & Content' started by Trygle12, Dec 25, 2010.

  1. Trygle12
    OP

    Trygle12 Advanced Member

    Newcomer
    67
    0
    Jan 5, 2007
    United States
    Hello, I want to go (kinda) legit on my firmware. I am currently using 5.50 Prome-2

    However when I select the 6.20 patch, it gives me the generic "The Firmware on your PSP is 9.90, there is no need to update".

    I tried using the recovery from the recovery menu. The one that says "Boot from /PSP/GAME/RECOVERY/EBOOT.PBP", but it fails.

    Any easy way to go 6.20 without losing my savefiles... or my PSP for that matter.
     
  2. unnkown95

    unnkown95 GBAtemp Regular

    Member
    198
    0
    Oct 19, 2010
    United States
    9.90?
     
  3. toshio

    toshio Advanced Member

    Newcomer
    55
    0
    Feb 23, 2009
    Back up your SaveFiles. Did you download a 6.20 patch for PSP go? There are 2 of them one for PSP go updates, and psp 1000/2000/3000.
     
  4. Trygle12
    OP

    Trygle12 Advanced Member

    Newcomer
    67
    0
    Jan 5, 2007
    United States
    Yeah I got that... I'm thinking of just Jigkicking to 5.00M33.

    Then I can go from there.

    Hopefully
     
  5. Arras

    Arras GBAtemp Guru

    Member
    5,876
    2,709
    Sep 14, 2010
    Netherlands
    I'm pretty sure the 5.50 GEN-A installer (Actually, most GEN installers) has a "install original 5.50" option, and you could update to 6.20 from there.
     
  6. demonicstrife

    demonicstrife *INSERTGENERICTITLE*

    Member
    769
    77
    May 22, 2008
    United States
    Somewhere in the middle
    It's a thing with version.txt that GEN did to bypass firmware checks. It's kinda obsolete now.
     
  7. Trygle12
    OP

    Trygle12 Advanced Member

    Newcomer
    67
    0
    Jan 5, 2007
    United States
    Hah! I forgot about that!

    There we go... and I had my MMS and Battery all ready and stuff [​IMG]

    Thank you guys. I can now enjoy my homebrew and have All sorts of fun again.

    I the case that I want CFW again... well I gots my Pandora Battery [​IMG]
     
  8. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,111
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The M33 installer in the pandora sticky has the option to do a fresh OFW as well.
     
  9. TwinRetro

    TwinRetro Global Moderator

    Global Moderator
    6,246
    5,069
    Aug 29, 2008
    Djibouti
    Hiatus Hell
    Wount it be simple enough to change the version.txt to 5.50 and upgrade to OFW?
     
  10. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Open Flash 0, version.txt, change to 5.50, save, ???, profit!
     
  11. Trygle12
    OP

    Trygle12 Advanced Member

    Newcomer
    67
    0
    Jan 5, 2007
    United States
    Well it looks like I am still limited... No access to PSN unless I have 6.35


    Argh. I want to play my UMD of Phantasy Star Portable 2 online, but I wanna keep my homebrew...

    Is there any plugin that will do that for me?
     
  12. Law

    Law rip ninjacat that zarcon made me

    Member
    4,132
    217
    Aug 14, 2007
    ‭jerkland
    Can't you still update to 6.35 if you have a pandora?

    I'm pretty sure you can pandora downgrade at any version.

    edit: but wait for somebody else to confirm this because I'm not up to date with what's happening.
     
  13. Trygle12
    OP

    Trygle12 Advanced Member

    Newcomer
    67
    0
    Jan 5, 2007
    United States
    Yes I can, but flashing your PSP for one game back and forth would not be advisable.
     
  14. thedicemaster

    thedicemaster GBAtemp Addict

    Member
    2,428
    15
    Apr 26, 2008
    Netherlands
    you can run homebrew through hbl with minna no sukkiri demo on 6.35
    not perfect compatibility, but you can use homebrew AND have access to psn.
     
  15. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    ...but I can play PSPo2 online with my ISO version just 'fine' (with an odd definition of fine), as long as I'm using the PSNLover plugin, along with the correct settings.